Package: groovy.org.codenarc.rule.size

## [Groovy] Class MethodSizeRule

- groovy.org.codenarc.rule.size.MethodSizeRule

- Rule that checks the size of a method.

  The `maxLines` property holds the threshold value for the maximum number of lines. A method length (number of lines) greater than that value is considered a violation. The `maxLines` property defaults to 100.

  The `ignoreMethodNames` property optionally specifies one or more (comma-separated) method names that should be ignored (i.e., that should not cause a rule violation). The name(s) may optionally include wildcard characters ('*' or '?').
  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `ignoreMethodNames`
    `int` | `maxLines`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String ignoreMethodNames

    - #### int maxLines

    - #### String name

    - #### int priority